debVersioningSystem Class Reference
Inheritance diagram for debVersioningSystem:
[legend]
Collaboration diagram for debVersioningSystem:
[legend]

## Public Member Functions

int | DoCmpVersion (const char *A, const char *Aend, const char *B, const char *Bend) override APT_PURE
bool | CheckDep (const char *PkgVer, int Op, const char *DepVer) override APT_PURE
int | DoCmpReleaseVer (const char *A, const char *Aend, const char *B, const char *Bend) override APT_PURE
std::string | UpstreamVersion (const char *A) override
Public Member Functions inherited from pkgVersioningSystem
virtual bool | TestCompatibility (pkgVersioningSystem const &Against)
| APT_MKSTRCMP (CmpVersion, DoCmpVersion)
| APT_MKSTRCMP (CmpReleaseVer, DoCmpReleaseVer)

## Static Public Member Functions

static int | CmpFragment (const char *A, const char *AEnd, const char *B, const char *BEnd) APT_PURE
Static Public Member Functions inherited from pkgVersioningSystem
static pkgVersioningSystem * | GetVS (const char *Label) APT_PURE

## Additional Inherited Members

Public Attributes inherited from pkgVersioningSystem
const char * | Label
Static Public Attributes inherited from pkgVersioningSystem
static pkgVersioningSystem ** | GlobalList = VSList
static unsigned long | GlobalListLen = 0

## Member Function Documentation

## CheckDep()

bool CheckDep | ( | const char * | PkgVer,
|  | int | Op,
|  | const char * | DepVer )

override virtual

Implements pkgVersioningSystem.

## DoCmpReleaseVer()

int DoCmpReleaseVer | ( | const char * | A,
|  | const char * | Aend,
|  | const char * | B,
|  | const char * | Bend )

inline override virtual

Implements pkgVersioningSystem.

## DoCmpVersion()

int DoCmpVersion | ( | const char * | A,
|  | const char * | Aend,
|  | const char * | B,
|  | const char * | Bend )

override virtual

Implements pkgVersioningSystem.

## UpstreamVersion()

std::string UpstreamVersion | ( | const char * | A | ) |

override virtual

Implements pkgVersioningSystem.

The documentation for this class was generated from the following files:

- apt-pkg/deb/debversion.h
- apt-pkg/deb/debversion.cc